HmacAlgorithms (Apache Commons Codec 1.22.1 API)
Description: declaration: package: org.apache.commons.codec.digest, enum: HmacAlgorithms

Package org.apache.commons.codec.digest

# Enum HmacAlgorithms

java.lang.Object
java.lang.Enum<HmacAlgorithms>
org.apache.commons.codec.digest.HmacAlgorithms

All Implemented Interfaces:
  `Serializable`, `Comparable<HmacAlgorithms>`

public enum HmacAlgorithms extends Enum<HmacAlgorithms>
Enumerates the standard `HmacUtils` algorithm names from the Java Cryptography Architecture Standard Algorithm Name Documentation.

Note: Not all JCE implementations support all the algorithms in this enum.

Since:
  1.10
See Also:
  - Java 8 Cryptography Architecture Sun Providers Documentation
  - Java 11 Cryptography Architecture Sun Providers Documentation
  - Java 17 Cryptography Architecture Sun Providers Documentation

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HMAC_MD5`
  The HmacMD5 Message Authentication Code (MAC) algorithm specified in RFC 2104 and RFC 1321.
  `HMAC_SHA_1`
  The HmacSHA1 Message Authentication Code (MAC) algorithm specified in RFC 2104 and FIPS PUB 180-2.
  `HMAC_SHA_224`
  The HmacSHA224 Message Authentication Code (MAC) algorithm specified in RFC 2104 and FIPS PUB 180-2.
  `HMAC_SHA_256`
  The HmacSHA256 Message Authentication Code (MAC) algorithm specified in RFC 2104 and FIPS PUB 180-2.
  `HMAC_SHA_384`
  The HmacSHA384 Message Authentication Code (MAC) algorithm specified in RFC 2104 and FIPS PUB 180-2.
  `HMAC_SHA_512`
  The HmacSHA512 Message Authentication Code (MAC) algorithm specified in RFC 2104 and FIPS PUB 180-2.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Gets the algorithm name.
  `String`
  `toString()`
  The algorithm name.
  `static HmacAlgorithms`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static HmacAlgorithms[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HMAC_MD5

    public static final HmacAlgorithms HMAC_MD5
    The HmacMD5 Message Authentication Code (MAC) algorithm specified in RFC 2104 and RFC 1321.

    Every implementation of the Java platform is required to support this standard MAC algorithm.

  - ### HMAC_SHA_1

    public static final HmacAlgorithms HMAC_SHA_1
    The HmacSHA1 Message Authentication Code (MAC) algorithm specified in RFC 2104 and FIPS PUB 180-2.

    Every implementation of the Java platform is required to support this standard MAC algorithm.

  - ### HMAC_SHA_224

    public static final HmacAlgorithms HMAC_SHA_224
    The HmacSHA224 Message Authentication Code (MAC) algorithm specified in RFC 2104 and FIPS PUB 180-2.

    Every implementation of the Java 8+ platform is required to support this standard MAC algorithm.

    Since:
      1.11

  - ### HMAC_SHA_256

    public static final HmacAlgorithms HMAC_SHA_256
    The HmacSHA256 Message Authentication Code (MAC) algorithm specified in RFC 2104 and FIPS PUB 180-2.

    Every implementation of the Java platform is required to support this standard MAC algorithm.

  - ### HMAC_SHA_384

    public static final HmacAlgorithms HMAC_SHA_384
    The HmacSHA384 Message Authentication Code (MAC) algorithm specified in RFC 2104 and FIPS PUB 180-2.

    This MAC algorithm is optional; not all implementations support it.

  - ### HMAC_SHA_512

    public static final HmacAlgorithms HMAC_SHA_512
    The HmacSHA512 Message Authentication Code (MAC) algorithm specified in RFC 2104 and FIPS PUB 180-2.

    This MAC algorithm is optional; not all implementations support it.

- ## Method Details

  - ### values

    public static HmacAlgorithms[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static HmacAlgorithms valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()
    Gets the algorithm name.
    Returns:
      The algorithm name.
    Since:
      1.11

  - ### toString

    public String toString()
    The algorithm name.
    Overrides:
      `toString` in class `Enum<HmacAlgorithms>`
    Returns:
      The algorithm name ("HmacSHA512" for example).
    See Also:
      - Java 8 Cryptography Architecture Sun Providers Documentation
      - Java 9 Cryptography Architecture Sun Providers Documentation